exercise_03_15: exercise_03_15.o Date.o .gitignore
	g++ exercise_03_15.o Date.o -o exercise_03_15

exercise_03_15.o: exercise_03_15.s
	g++ -c exercise_03_15.s -o exercise_03_15.o

exercise_03_15.s: exercise_03_15.ii
	g++ -S exercise_03_15.ii -o exercise_03_15.s

exercise_03_15.ii: exercise_03_15.cpp
	g++ -E exercise_03_15.cpp -o exercise_03_15.ii

.gitignore:
	echo exercise_03_15 > .gitignore

Date.o: Date.s
	g++ -c Date.s -o Date.o

Date.s: Date.ii
	g++ -S Date.ii -o Date.s

Date.ii: Date.cpp
	g++ -E Date.cpp -o Date.ii

Date.cpp: Date.hpp

exercise_03_15.cpp: Date.hpp

removes:
	rm exercise_03_15.ii exercise_03_15.s exercise_03_15.o exercise_03_15 .gitignore
	rm Date.ii Date.s Date.o  
test: 
		./exercise_03_15 > test.out || echo "Test is executing..."
		diff test.out test.expected && echo PASSED || echo FAILED

